import { expect, expectAsync, tap } from '@push.rocks/tapbundle';
import * as smartntml from '../ts/index.js';

let testSmartntmlInstance: smartntml.Smartntml;

tap.test('first test', async () => {
  testSmartntmlInstance = new smartntml.Smartntml();
});

tap.test('should render a string', async () => {
  const arrayArg = [1, 2, 3, 4, 5, 6];
  const stringResult = await testSmartntmlInstance.renderTemplateResult(smartntml.deesElement.html`
    <div class="hello">${arrayArg.map(
      (element) => smartntml.deesElement.html`<div>${element}</div>`
    )}</div>
  `);
  console.log(stringResult);
});

tap.test('should log', async () => {
  setTimeout(() => process.exit(0), 0);
});

tap.start();
